Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 1302133002: [simd.js] Add SIMD load functions for Phase 1. (Closed)

Created:
3 years, 11 months ago by gdeepti
Modified:
3 years, 11 months ago
CC:
v8-dev
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[simd.js] Add SIMD load functions for Phase 1. Float32x4, Int32x4, Uint32x4: load, load1, load2, load3 Int16x8, Int8x16, Uint16x8, Uint8x16: load BUG=v8:4124 LOG=N Committed: https://crrev.com/a6754d8c3c6541ac2f35cf151f963bdf1fe595ad Cr-Commit-Position: refs/heads/master@{#30422}

Patch Set 1 #

Total comments: 8

Patch Set 2 : Bill's comments #

Total comments: 6

Patch Set 3 : Bill's comments #

Total comments: 2

Patch Set 4 : Bill's comment #

Total comments: 4

Patch Set 5 : Rebase, adding unsigned load functions, review comments. #

Patch Set 6 : Fixed stale build, verified tests with polyfill disabled #

Patch Set 7 : Fixed format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+125 lines, -0 lines) Patch
M src/harmony-simd.js View 1 2 3 4 9 chunks +41 lines, -0 lines 0 comments Download
M src/runtime/runtime.h View 1 2 3 4 7 chunks +16 lines, -0 lines 0 comments Download
M src/runtime/runtime-simd.cc View 1 2 3 4 5 6 1 chunk +68 lines, -0 lines 0 comments Download

Messages

Total messages: 46 (16 generated)
bbudge
https://codereview.chromium.org/1302133002/diff/1/src/harmony-simd.js File src/harmony-simd.js (right): https://codereview.chromium.org/1302133002/diff/1/src/harmony-simd.js#newcode339 src/harmony-simd.js:339: } You should be able to use the V8 ...
3 years, 11 months ago (2015-08-20 18:23:34 UTC) #2
gdeepti
https://codereview.chromium.org/1302133002/diff/1/src/harmony-simd.js File src/harmony-simd.js (right): https://codereview.chromium.org/1302133002/diff/1/src/harmony-simd.js#newcode339 src/harmony-simd.js:339: } On 2015/08/20 18:23:34, bbudge wrote: > You should ...
3 years, 11 months ago (2015-08-20 22:09:24 UTC) #3
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/20001
3 years, 11 months ago (2015-08-20 22:48:36 UTC) #5
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: v8_presubmit on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_presubmit/builds/5079)
3 years, 11 months ago (2015-08-20 22:53:23 UTC) #7
bbudge
https://codereview.chromium.org/1302133002/diff/20001/src/harmony-simd.js File src/harmony-simd.js (right): https://codereview.chromium.org/1302133002/diff/20001/src/harmony-simd.js#newcode328 src/harmony-simd.js:328: } You should be able to "macroize" these too. ...
3 years, 11 months ago (2015-08-20 23:05:26 UTC) #8
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/40001
3 years, 11 months ago (2015-08-21 21:06:55 UTC) #10
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. Only full committers are accepted. Even ...
3 years, 11 months ago (2015-08-21 21:06:57 UTC) #12
gdeepti
https://codereview.chromium.org/1302133002/diff/20001/src/harmony-simd.js File src/harmony-simd.js (right): https://codereview.chromium.org/1302133002/diff/20001/src/harmony-simd.js#newcode328 src/harmony-simd.js:328: } On 2015/08/20 23:05:25, bbudge wrote: > You should ...
3 years, 11 months ago (2015-08-21 21:07:50 UTC) #13
bbudge
https://codereview.chromium.org/1302133002/diff/40001/src/runtime/runtime-simd.cc File src/runtime/runtime-simd.cc (right): https://codereview.chromium.org/1302133002/diff/40001/src/runtime/runtime-simd.cc#newcode839 src/runtime/runtime-simd.cc:839: Handle<JSTypedArray> tarray(JSTypedArray::cast(*tarray_obj)); \ I don't think this line is ...
3 years, 11 months ago (2015-08-21 22:32:42 UTC) #14
gdeepti
https://codereview.chromium.org/1302133002/diff/40001/src/runtime/runtime-simd.cc File src/runtime/runtime-simd.cc (right): https://codereview.chromium.org/1302133002/diff/40001/src/runtime/runtime-simd.cc#newcode839 src/runtime/runtime-simd.cc:839: Handle<JSTypedArray> tarray(JSTypedArray::cast(*tarray_obj)); \ On 2015/08/21 22:32:42, bbudge wrote: > ...
3 years, 11 months ago (2015-08-21 22:49:40 UTC) #15
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/60001
3 years, 11 months ago (2015-08-21 23:00:15 UTC) #17
commit-bot: I haz the power
Dry run: No L-G-T-M from a valid reviewer yet. Only full committers are accepted. Even ...
3 years, 11 months ago (2015-08-21 23:00:17 UTC) #19
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/60001
3 years, 11 months ago (2015-08-21 23:05:17 UTC) #21
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
3 years, 11 months ago (2015-08-21 23:30:31 UTC) #23
bbudge
LGTM w/nits Wait for review from Jarin and Dan https://codereview.chromium.org/1302133002/diff/60001/src/runtime/runtime-simd.cc File src/runtime/runtime-simd.cc (right): https://codereview.chromium.org/1302133002/diff/60001/src/runtime/runtime-simd.cc#newcode835 src/runtime/runtime-simd.cc:835: ...
3 years, 11 months ago (2015-08-21 23:33:25 UTC) #24
Dan Ehrenberg
The code looks good, but could you add some tests that verify the behavior? This ...
3 years, 11 months ago (2015-08-22 00:00:12 UTC) #25
Dan Ehrenberg
- Unsigned int types should also have load and store functions - To test, try ...
3 years, 11 months ago (2015-08-22 01:17:08 UTC) #26
bbudge
On 2015/08/22 01:17:08, Dan Ehrenberg wrote: > - Unsigned int types should also have load ...
3 years, 11 months ago (2015-08-22 01:23:36 UTC) #27
bbudge
On 2015/08/22 01:23:36, bbudge wrote: > On 2015/08/22 01:17:08, Dan Ehrenberg wrote: > > - ...
3 years, 11 months ago (2015-08-22 01:25:15 UTC) #28
gdeepti
PTAL, added load functions for unsigned types. Verified the behavior on my local machine by ...
3 years, 11 months ago (2015-08-25 19:10:33 UTC) #29
Dan Ehrenberg
lgtm
3 years, 11 months ago (2015-08-25 20:20:57 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/80001
3 years, 11 months ago (2015-08-25 20:24:01 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: v8_linux_nodcheck_rel on tryserver.v8 (JOB_FAILED, http://build.chromium.org/p/tryserver.v8/builders/v8_linux_nodcheck_rel/builds/5879)
3 years, 11 months ago (2015-08-25 20:26:12 UTC) #35
bbudge
Still LGTM Please move declarations to before where they are first used in runtime-simd.cc. Also, ...
3 years, 11 months ago (2015-08-25 20:43:31 UTC) #36
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/100001
3 years, 11 months ago (2015-08-25 20:43:48 UTC) #38
bbudge
3 years, 11 months ago (2015-08-26 16:47:44 UTC) #40
Benedikt Meurer
lgtm
3 years, 11 months ago (2015-08-27 04:32:53 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302133002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302133002/120001
3 years, 11 months ago (2015-08-27 16:09:43 UTC) #44
commit-bot: I haz the power
Committed patchset #7 (id:120001)
3 years, 11 months ago (2015-08-27 16:35:42 UTC) #45
commit-bot: I haz the power
3 years, 11 months ago (2015-08-27 16:35:58 UTC) #46
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/a6754d8c3c6541ac2f35cf151f963bdf1fe595ad
Cr-Commit-Position: refs/heads/master@{#30422}

Powered by Google App Engine
This is Rietveld 408576698